Mailing List Archive

0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv
Because of particular set up, it's difficult to use other than the
mythtv packages provided by my chosen version of Linux. The packages
have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
haven't been able to configure metadata, other than for movies. No
options appear for tv or games. Has anyone else out there run into this
and found a work around?

Cheers,
Paul.
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 12 April 2018 11:33:43 pm Paul Gardiner <lists@glidos.net> wrote:

Because of particular set up, it's difficult to use other than the
mythtv packages provided by my chosen version of Linux. The packages
have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
haven't been able to configure metadata, other than for movies. No
options appear for tv or games. Has anyone else out there run into this
and found a work around?

Cheers,
Paul.

Can you be a bit more specific in what you mean by "haven't been able to
configure metadata"? Which screens? Mythtv Recordings or Myth Video?


_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 13/04/2018 00:55, Mark Perkins wrote:
>
>
> On 12 April 2018 11:33:43 pm Paul Gardiner <lists@glidos.net> wrote:
>
> Because of particular set up, it's difficult to use other than the
> mythtv packages provided by my chosen version of Linux. The packages
> have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
> haven't been able to configure metadata, other than for movies. No
> options appear for tv or games. Has anyone else out there run into this
> and found a work around?
>
> Cheers,
> Paul.
>
> Can you be a bit more specific in what you mean by "haven't been able to
> configure metadata"? Which screens? Mythtv Recordings or Myth Video?

Sorry, I meant from the mythfrontend setup/metadata menu. I cannot
configure the source.

P.
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 13/04/2018 08:47, Paul Gardiner wrote:
> On 13/04/2018 00:55, Mark Perkins wrote:
>>
>>
>> On 12 April 2018 11:33:43 pm Paul Gardiner <lists@glidos.net> wrote:
>>
>> Because of particular set up, it's difficult to use other than the
>> mythtv packages provided by my chosen version of Linux. The packages
>> have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
>> haven't been able to configure metadata, other than for movies. No
>> options appear for tv or games. Has anyone else out there run into this
>> and found a work around?
>>
>> Cheers,
>> Paul.
>>
>> Can you be a bit more specific in what you mean by "haven't been able to
>> configure metadata"? Which screens? Mythtv Recordings or Myth Video?
>
> Sorry, I meant from the mythfrontend setup/metadata menu. I cannot
> configure the source.

Oh, I should have said, cannot configure the sources for tv or games,
only films. And then in Myth Video, I'm offered matches only with names
of films.

P.
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On Thursday, 12 April 2018 11:52:10 PM AEST Paul Gardiner wrote:
> Because of particular set up, it's difficult to use other than the
> mythtv packages provided by my chosen version of Linux. The packages
> have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
> haven't been able to configure metadata, other than for movies. No
> options appear for tv or games. Has anyone else out there run into this
> and found a work around?

I'm running Version 0.28.2 on openSUSE Leap 42.3 and having the same problem
with theme Steppes 28.7.

The TMDB field where the series is defined is set to tmdb3.py_ and cannot be
altered to point to The TVDB.com site where the TV series are held.

For example Harrow - https://www.thetvdb.com/?tab=series&id=342568&lid=7
when you enter ttvdb.py_342568 the system changes it to tmdb3.py_342568
Which is the movie called "The Harrow"

Now all my recent TV series are being named as Movies and there appears now
way to alter them back to the correct TV series name. Very frustrating

--
Regards

Graham Smith
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 4/13/2018 3:53 AM, Paul Gardiner wrote:
> On 13/04/2018 08:47, Paul Gardiner wrote:
>> On 13/04/2018 00:55, Mark Perkins wrote:
>>>
>>>
>>> On 12 April 2018 11:33:43 pm Paul Gardiner <lists@glidos.net> wrote:
>>>
>>> Because of particular set up, it's difficult to use other than the
>>> mythtv packages provided by my chosen version of Linux. The packages
>>> have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
>>> haven't been able to configure metadata, other than for movies. No
>>> options appear for tv or games. Has anyone else out there run into this
>>> and found a work around?
>>>
>>> Cheers,
>>> Paul.
>>>
>>> Can you be a bit more specific in what you mean by "haven't been able to
>>> configure metadata"? Which screens? Mythtv Recordings or Myth Video?
>>
>> Sorry, I meant from the mythfrontend setup/metadata menu. I cannot
>> configure the source.
>
> Oh, I should have said, cannot configure the sources for tv or games,
> only films. And then in Myth Video, I'm offered matches only with names
> of films.
>
> P.

I suspect you and Graham are just now encountering the issue fixed with
this ticket:
https://code.mythtv.org/trac/ticket/13084
I don't know why you weren't having problems getting TV series metadata
before now. But I'll bet that now your problem is missing and/or out of
date python packages. If so, you will need to upgrade and install some
python packages so that the new version of ttvdb.py works. The ticket
comments should help you figure that out.

HTH,
Helen
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 13/04/2018 19:00, faginbagin wrote:
> On 4/13/2018 3:53 AM, Paul Gardiner wrote:
>> On 13/04/2018 08:47, Paul Gardiner wrote:
>>> On 13/04/2018 00:55, Mark Perkins wrote:
>>>>
>>>>
>>>> On 12 April 2018 11:33:43 pm Paul Gardiner <lists@glidos.net> wrote:
>>>>
>>>> Because of particular set up, it's difficult to use other than the
>>>> mythtv packages provided by my chosen version of Linux. The packages
>>>> have recently been upgraded from 0.28.1 to 0.28.2. Since that change, I
>>>> haven't been able to configure metadata, other than for movies. No
>>>> options appear for tv or games. Has anyone else out there run into this
>>>> and found a work around?
>>>>
>>>> Cheers,
>>>> Paul.
>>>>
>>>> Can you be a bit more specific in what you mean by "haven't been able to
>>>> configure metadata"? Which screens? Mythtv Recordings or Myth Video?
>>>
>>> Sorry, I meant from the mythfrontend setup/metadata menu. I cannot
>>> configure the source.
>>
>> Oh, I should have said, cannot configure the sources for tv or games,
>> only films. And then in Myth Video, I'm offered matches only with names
>> of films.
>>
>> P.
>
> I suspect you and Graham are just now encountering the issue fixed with
> this ticket:
> https://code.mythtv.org/trac/ticket/13084
> I don't know why you weren't having problems getting TV series metadata
> before now. But I'll bet that now your problem is missing and/or out of
> date python packages. If so, you will need to upgrade and install some
> python packages so that the new version of ttvdb.py works. The ticket
> comments should help you figure that out.

Thanks Helen, it does look to be connected with that: when running ttvdb
from the command line, I get errors to do with needing v2.0 of tvdb_api
and requests_cache being missing. I'm struggling to fix it though:-

paul@glidos:~> /usr/share/mythtv/metadata/Television/ttvdb.py -l em -a
GB -M "The Walking Dead"

The modules tvdb_api.py (v2.0 or greater).
They should have been installed along with the MythTV python bindings.
Error:(No module named requests_cache)

$ sudo pip install --upgrade tvdb-api
Requirement already up-to-date: tvdb-api in
/usr/lib/python3.4/site-packages (2.0)
Requirement not upgraded as not directly required: requests_cache in
/usr/lib/python3.4/site-packages (from tvdb-api) (0.4.13)
Requirement not upgraded as not directly required: requests in
/usr/lib/python3.4/site-packages (from tvdb-api) (2.18.4)
Requirement not upgraded as not directly required: idna<2.7,>=2.5 in
/usr/lib/python3.4/site-packages (from requests->tvdb-api) (2.6)
Requirement not upgraded as not directly required: urllib3<1.23,>=1.21.1
in /usr/lib/python3.4/site-packages (from requests->tvdb-api) (1.22)
Requirement not upgraded as not directly required: certifi>=2017.4.17 in
/usr/lib/python3.4/site-packages (from requests->tvdb-api) (2018.1.18)
Requirement not upgraded as not directly required: chardet<3.1.0,>=3.0.2
in /usr/lib/python3.4/site-packages (from requests->tvdb-api) (3.0.4)

$ sudo pip install --upgrade requests_cache
Requirement already up-to-date: requests_cache in
/usr/lib/python3.4/site-packages (0.4.13)
Requirement not upgraded as not directly required: requests>=1.1.0 in
/usr/lib/python3.4/site-packages (from requests_cache) (2.18.4)
Requirement not upgraded as not directly required: idna<2.7,>=2.5 in
/usr/lib/python3.4/site-packages (from requests>=1.1.0->requests_cache)
(2.6)
Requirement not upgraded as not directly required: urllib3<1.23,>=1.21.1
in /usr/lib/python3.4/site-packages (from
requests>=1.1.0->requests_cache) (1.22)
Requirement not upgraded as not directly required: certifi>=2017.4.17 in
/usr/lib/python3.4/site-packages (from requests>=1.1.0->requests_cache)
(2018.1.18)
Requirement not upgraded as not directly required: chardet<3.1.0,>=3.0.2
in /usr/lib/python3.4/site-packages (from
requests>=1.1.0->requests_cache) (3.0.4)

Any idea what I'm doing wrong?

Cheers,
Paul.
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On Saturday, 14 April 2018 4:00:47 AM AEST faginbagin wrote:
>
> I suspect you and Graham are just now encountering the issue fixed with
> this ticket:
> https://code.mythtv.org/trac/ticket/13084
> I don't know why you weren't having problems getting TV series metadata
> before now. But I'll bet that now your problem is missing and/or out of
> date python packages. If so, you will need to upgrade and install some
> python packages so that the new version of ttvdb.py works. The ticket
> comments should help you figure that out.
>
Thank you Helen, it took a lot of mucking around but I ended up correcting the
problem.

/usr/share/mythtv/metadata/Television/ttvdb.py
The modules tvdb_api.py (v2.0 or greater).
They should have been installed along with the MythTV python bindings.
Error:(No module named requests_cache)

But when I went to install requests_cache it said it was already installed
I think it was confused between the two version of python installed.

I ended up in frustration installing it from the source package
pip install ./requests-cache-0.4.13.tar.gz
Processing ./requests-cache-0.4.13.tar.gz
Requirement already satisfied: requests>=1.1.0 in /usr/lib/python2.7/site-
packages (from requests-cache==0.4.13) (2.11.1)
Building wheels for collected packages: requests-cache
Running setup.py bdist_wheel for requests-cache ... done
Stored in directory: /root/.cache/pip/wheels/fc/
b2/40/5b57856e507fd1ba6c0ea50dd5694c053eaea7dce71809a1a7
Successfully built requests-cache
Installing collected packages: requests-cache
Successfully installed requests-cache-0.4.13

From there it worked.

Now to fix up all the TV series with the wrong titles, etc
--
Regards

Graham Smith
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 14/04/2018 20:33, Graham Smith wrote:
> On Saturday, 14 April 2018 4:00:47 AM AEST faginbagin wrote:
>>
>> I suspect you and Graham are just now encountering the issue fixed with
>> this ticket:
>> https://code.mythtv.org/trac/ticket/13084
>> I don't know why you weren't having problems getting TV series metadata
>> before now. But I'll bet that now your problem is missing and/or out of
>> date python packages. If so, you will need to upgrade and install some
>> python packages so that the new version of ttvdb.py works. The ticket
>> comments should help you figure that out.
>>
> Thank you Helen, it took a lot of mucking around but I ended up correcting the
> problem.
>
> /usr/share/mythtv/metadata/Television/ttvdb.py
> The modules tvdb_api.py (v2.0 or greater).
> They should have been installed along with the MythTV python bindings.
> Error:(No module named requests_cache)
>
> But when I went to install requests_cache it said it was already installed
> I think it was confused between the two version of python installed.
>
> I ended up in frustration installing it from the source package
> pip install ./requests-cache-0.4.13.tar.gz
> Processing ./requests-cache-0.4.13.tar.gz
> Requirement already satisfied: requests>=1.1.0 in /usr/lib/python2.7/site-
> packages (from requests-cache==0.4.13) (2.11.1)
> Building wheels for collected packages: requests-cache
> Running setup.py bdist_wheel for requests-cache ... done
> Stored in directory: /root/.cache/pip/wheels/fc/
> b2/40/5b57856e507fd1ba6c0ea50dd5694c053eaea7dce71809a1a7
> Successfully built requests-cache
> Installing collected packages: requests-cache
> Successfully installed requests-cache-0.4.13
>
> From there it worked.

Not for me, it doesn't. :-(

$ sudo pip install requests-cache-0.4.13.tar.gz
[sudo] password for root:
Processing ./requests-cache-0.4.13.tar.gz
Requirement already satisfied: requests>=1.1.0 in
/usr/lib/python3.4/site-packages (from requests-cache==0.4.13) (2.18.4)
Requirement already satisfied: idna<2.7,>=2.5 in
/usr/lib/python3.4/site-packages (from
requests>=1.1.0->requests-cache==0.4.13) (2.6)
Requirement already satisfied: certifi>=2017.4.17 in
/usr/lib/python3.4/site-packages (from
requests>=1.1.0->requests-cache==0.4.13) (2018.1.18)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in
/usr/lib/python3.4/site-packages (from
requests>=1.1.0->requests-cache==0.4.13) (3.0.4)
Requirement already satisfied: urllib3<1.23,>=1.21.1 in
/usr/lib/python3.4/site-packages (from
requests>=1.1.0->requests-cache==0.4.13) (1.22)
Installing collected packages: requests-cache
Found existing installation: requests-cache 0.4.13
Uninstalling requests-cache-0.4.13:
Successfully uninstalled requests-cache-0.4.13
Running setup.py install for requests-cache ... done
Successfully installed requests-cache-0.4.13

$ /usr/share/mythtv/metadata/Television/ttvdb.py -l em -a GB -M "The
Walking Dead"

The modules tvdb_api.py (v2.0 or greater).
They should have been installed along with the MythTV python bindings.
Error:(No module named requests_cache)
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 15/04/2018 11:14, Paul Gardiner wrote:
> On 14/04/2018 20:33, Graham Smith wrote:
>> On Saturday, 14 April 2018 4:00:47 AM AEST faginbagin wrote:
>>>
>>> I suspect you and Graham are just now encountering the issue fixed with
>>> this ticket:
>>> https://code.mythtv.org/trac/ticket/13084
>>> I don't know why you weren't having problems getting TV series metadata
>>> before now. But I'll bet that now your problem is missing and/or out of
>>> date python packages. If so, you will need to upgrade and install some
>>> python packages so that the new version of ttvdb.py works. The ticket
>>> comments should help you figure that out.
>>>
>> Thank you Helen, it took a lot of mucking around but I ended up
>> correcting the
>> problem.
>>
>> .
>> .
>> .
>>
>>  From there it worked.
>
> Not for me, it doesn't. :-(

Sussed it. On my distribution there are packages python-pip and
python3-pip. I had only the latter installed. After installing also
python-pip the commands

pip2.7 install requests-cache
pip2.7 install urllib3

fixed it.

Cheers,
Paul.
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org
Re: 0.28.1 to 0.28.2 upgrade - can no longer configure metadata for tv [ In reply to ]
On 4/15/2018 6:59 AM, Paul Gardiner wrote:
> On 15/04/2018 11:14, Paul Gardiner wrote:
>> On 14/04/2018 20:33, Graham Smith wrote:
>>> On Saturday, 14 April 2018 4:00:47 AM AEST faginbagin wrote:
>>>>
>>>> I suspect you and Graham are just now encountering the issue fixed with
>>>> this ticket:
>>>> https://code.mythtv.org/trac/ticket/13084
>>>> I don't know why you weren't having problems getting TV series metadata
>>>> before now. But I'll bet that now your problem is missing and/or out of
>>>> date python packages. If so, you will need to upgrade and install some
>>>> python packages so that the new version of ttvdb.py works. The ticket
>>>> comments should help you figure that out.
>>>>
>>> Thank you Helen, it took a lot of mucking around but I ended up
>>> correcting the
>>> problem.
>>>
>>> .
>>> .
>>> .
>>>
>>>  From there it worked.
>>
>> Not for me, it doesn't. :-(
>
> Sussed it. On my distribution there are packages python-pip and
> python3-pip. I had only the latter installed. After installing also
> python-pip the commands
>
> pip2.7 install requests-cache
> pip2.7 install urllib3
>
> fixed it.
>
> Cheers,
>     Paul.

Glad you and Graham were able to get it working.
_______________________________________________
mythtv-users mailing list
mythtv-users@mythtv.org
http://lists.mythtv.org/mailman/listinfo/mythtv-users
http://wiki.mythtv.org/Mailing_List_etiquette
MythTV Forums: https://forum.mythtv.org